/* Keyframes for fadeInLeft animation (for line element) */
@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translateX(-100%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeInUp {
    from {
        transform: translateY(100%);
        opacity:0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}
@keyframes fadeInDown {
    from {
        transform: translateY(-100%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* Keyframes for bottom-to-top sliding effect for carousel items */
@keyframes slideFromBottom {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-100%);
    }
}


@keyframes slideFromBottom1 {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-100%);
    }
}



section#home1 {
    position: relative;
    overflow: hidden;
    height: 100vh;
}


#carousel {
    position: relative;
    display: flex;
    height: 100vh;
}


.carousel-item {
    position: absolute;
    display:flex !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    /*transform: translateY(0);
    transition: opacity 1s ease;*/
}

    .carousel-item.active {
        opacity: 1;
        z-index: 1;
        animation: slideFromBottom1 2500ms ease forwards;
    }

    .carousel-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/*.cover1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 75px 0;
}


.header-content1 {
    color: #fff;
    text-align: center;
    position: relative;
    padding: 20px;
}


.line1 {
    width: 100%;
    height: 5px;
    background: #fff;
    margin-bottom: 20px;
    opacity: 0; 
}*/

.carousel-item.active .line {
    animation: fadeInLeft 1s ease forwards;
    animation-delay: 0.3s;
}


/*h1, h2, h4 {
    margin: 10px 0;
}

h1 {
    font-size: 56px;
    font-weight: 600;
    color: #fff;
}

h2 {
    font-size: 35px;
    font-weight: 300;
    color: #fff;
}

h4 {
    font-size: 24px;
    font-weight: 300;
    line-height: 36px;
    color: #fff;
}*/

/* Navigation controls styling */
.carousel-control {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    width: 60px;
    height: 60px;
    border: none;
    cursor: pointer;
    opacity:0;
    font-size: 24px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .carousel-control.prev {
        left: 15px;
    }

    .carousel-control.next {
        right: 15px;
    }

section#home1:hover .carousel-control {
    
    background: #000;
    opacity: 1;
    border-radius: 50%;
}


section .carousel-item {
    height: 100vh;
    position: relative;
}

section .carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

section .carousel-item .cover {
    padding: 75px 0;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
}

section .carousel-item .cover .header-content {
    position: relative;
    padding: 56px;
    overflow: hidden;
}

section .carousel-item .cover .header-content .line {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    pointer-events:auto;
    left: 0;
    top: 0;
    position: absolute;
    /* border: 9px solid #fff; */
    -webkit-clip-path: polygon(0 0, 60% 0, 36% 100%, 0 100%);
    clip-path: polygon(0 0, 60% 0, 36% 100%, 0 100%);
}

section .carousel-item .cover .header-content h2 {
    font-weight: 300;
    font-size: 35px;
    color: #fff;
}

    section .carousel-item .cover .header-content h1 {
        font-size: 56px;
        font-weight: 600;
        margin: 5px 0 20px;
        word-spacing: 3px;
        color: #fff;
    }

    section .carousel-item .cover .header-content h4 {
        font-size: 24px;
        font-weight: 300;
        line-height: 36px;
        color: #fff;
    }

    section .carousel-item.active h1 {
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
        animation-name: fadeInDown;
        animation-delay: 0.3s;
    }

section .carousel-item.active h2 {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-name: fadeInDown;
    animation-delay: 0.3s;
}

section .carousel-item.active h4 {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-name: fadeInUp;
    animation-delay: 0.3s;
}

section .carousel-item.active .cstm-btn {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-name: fadeInUp;
    animation-delay: 0.3s;
}

section .carousel-item.active .line {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-name: fadeInLeft;
    animation-delay: 0.3s;
}

section .mm1 {
    position: absolute;
    left: 15px;
    top: 50%%;
    opacity: 0;
    -webkit-transition: all 0.4s ease-out;
    transition: all 0.4s ease-out;
    background: rgba(0, 0, 0, 0.5) !important;
    width: 60px;
    cursor: pointer;
    height: 60px;
    position: absolute;
    display: block;
    z-index: 1;
    border-radius: 0;
}

    section .mm1 {
        font-size: 1.6875rem;
        color: #fff;
    }

    section .mm1:focus {
        outline: 0;
    }

    section .mm1:hover {
        background: #000 !important;
    }

section .mm2 {
    position: absolute;
    right: 15px;
    top: 50%;
    opacity: 0;
    -webkit-transition: all 0.4s ease-out;
    transition: all 0.4s ease-out;
    background: rgba(0, 0, 0, 0.5) !important;
    width: 60px;
    cursor: pointer;
    height: 60px;
    position: absolute;
    display: block;
    z-index: 1;
    border-radius: 0;
}

    section .mm2 {
        font-size: 1.6875rem;
        color: #fff;
    }

    section .mm2:focus {
        outline: 0;
    }

    section .mm2:hover {
        background: #000 !important;
    }

#home1:hover .mm1 {
    left: 50px;
    opacity: 1;
    padding: 7px;
    border-radius: 50%;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

#home1:hover .mm2 {
    right: 50px;
    opacity: 1;
    padding: 7px;
    border-radius: 50%;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}
